echo off
REM This batch file will allow you to drag and drop a .MOV file onto it.
REM It will then create a ~30fps slomo video from a ~240fps high speed iPhone video original
REM Windows media player might not show your video rotated, but the metadata for orientation is preserved and can be utilized by Handbrake, etc.

REM change directory to the location of this batch file (where ffmpeg resides) to avoid errors
cd %~dp0


REM export the raw H.264 video stream
ffmpeg.exe -y -i %1 -c copy -an -f h264 video.h264

REM export and resample audio to slow it down
ffmpeg.exe -y -i %1 -vn -af "asetrate=5512,aresample=44100" slowaudio.aac

REM remux the video and audio to create a slowmo video
ffmpeg.exe -y -r 29.97 -i video.h264 -i slowaudio.aac -c:v copy -c:a copy %~n1_temp.mp4

REM grab metadata from original MOV file and apply it to the new mp4
ffmpeg.exe -y -i %~n1_temp.mp4 -i %1 -map_metadata:s:v:0 1:s:v:0 -codec copy %~n1.mp4


REM clean up temporary files
del video.h264
del slowaudio.aac
del %~n1_temp.mp4